> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rabot.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Release notes

> API change history

<Update label="2026-03-11">
  * API Documentation review and updates to reflect recent deployments and include optimization feedback from users completed.
  * New guides added:
    * Orders: Mandatory, Optional, Conditional Fields
    * Offer Order Contract Lifecycle
  * Expaned guide:
    * Order Status & Change Process Detailed
</Update>

<Update label="2026-03-06">
  * Introduced new `salesPersonId` field to the contracts DTO within the Request Body in the [POST order](/api-reference/orders/create_order) call to enhance analytics capabilities for API integrated sales affiliates.
</Update>

<Update label="2026-01-19">
  * Introduced new `legalStructure` field to the contracts DTO within the Request Body in the [POST order](/api-reference/orders/create_order) call to enhance insolvency check capabilities of business tariffs.
  * Mandatory field for the transmission of ´contract.type: business´
</Update>

<Update label="2026-01-16">
  * Enhanced Pricing Details available from the [calculate offer price](/api-reference/tariffs/calculate_price) endpoint to provide sufficient information for 41a pre-contractual information regulations related to the sale of energy tariffs.
    * Added breakdowns for base price and work price components.
    * Base price details: grid fee and metering fee (monthly).
    * Work price details: service fee, risk premium fee, average exchange price, green certificate surcharge, power fee, grid fee, power heat coupling fee, concession fee, offshore fee, P19 fee, and effective work price adjustment.
</Update>

<Update label="2026-01-14">
  * Introduced new `Industry` field to the contracts DTO within the Request Body in the [POST order](/api-reference/orders/create_order) call.
  * Mandatory field for the transmission of `contracts.type: Business` (B2B energy contracts).
</Update>

<Update label="2025-12-18">
  * API Documentation review and updates to reflect recent deployments and include optimization feedback from users completed.
</Update>

<Update label="2025-12-01">
  * Deployment of new computation logic for `WorkingPrice` values to reflect switchover to 15-Minute interval billing. Values returned when calling the [GET /metrics](/api-reference/customers/get_contract_metrics) endpoint now accurately provide 15-Minute values of Spot Price + Contract Costs.
</Update>

<Update label="2025-11-20">
  * Introduced new `valueState` field to the Records DTO returned in the [GET /metrics](/api-reference/customers/get_contract_metrics) endpoint to externalise visibility on the state of values returned in the response, specifically `Consumption` values to avoid potential breaking.
</Update>

<Update label="2025-11-14">
  * Introduced new functionality to the [POST order](/api-reference/orders/create_order), whereby when `Password` is null, the email provided in the order is enrolled in a password set flow to optimize customer onboarding experience via Self-Build funnels and Affilliate integrations.
</Update>

<Update label="2025-11-11">
  * The Orders DTO under the [GET orders](/api-reference/orders/list_orders) endpoint now returns extended 'deliveryState' information to externalise more details change process status information. See [endpoint here](api-reference/orders/list_orders).
</Update>

<Update label="2025-11-10">
  * The [get order](/api-reference/orders/get_order) endpoint now has additional filtering functionalities.
    * 'filter.fromUpdatedAt'-> Enables querying orders that have a change process status update since their creation
    * 'filter.partnershipType' -> Enables querying orders based on the partnership type, e.g. Whitelabel
</Update>

<Update label="2025-10-30">
  * The Contract DTO under the [GET contracts](/api-reference/customers/list_contracts) endpoint now returns **§14a Module** information. See [endpoint here](/api-reference/customers/list_contracts#response-data-items-paragraph14-a-info).
</Update>

<Update label="2025-10-29">
  * The [Day-Ahead market prices](/api-reference/epex-spot-prices/day_ahead_prices) endpoint was updated to externalise 15-Minute interval Day-Ahead prices
    * Additionally, a [granularity parameter](/api-reference/epex-spot-prices/day_ahead_prices#parameter-granularity) was added to allow hourly prices to be queried also.
</Update>

<Update label="2025-08-26">
  * The [create order](/api-reference/orders/create_order) endpoint now allows for an ´OfferDate´ to be transmitted, ensuring accurate tariff pricing for the \`contractDraft´ generation. See [orders guide](/guides/orders#offer-date)
  * Updated documentation in contract metrics [guide](/guides/contracts#contract-metrics) with information about availability of forecasted data
</Update>

<Update label="2025-08-20">
  * Added `authAs` parameter to [create customer link](/api-reference/customers/create_customer_linking) call
  * Extended [customer linking guide](/guides/customer_linking) accordingly
</Update>

<Update label="2025-08-12">
  * Improved documentation on [customer linking](/guides/customer_linking)
  * Improved documentation on [contract information ](/guides/contracts#contract-information)
</Update>

<Update label="2025-07-28">
  * Improved documentation on [order states](/guides/order_states)
</Update>

<Update label="2025-07-22">
  * Added [contract cost](/api-reference/customers/get_contract_costs) endpoint. This allows you to retrieve details about the different cost components for a contract at the time period of the call.
</Update>

<Update label="2025-07-16">
  * The [list orders](/api-reference/orders/list_orders) endpoint now allows to filter by customer number to only retrieve orders for a particular customer.
  * The [list customers](/api-reference/customers/list_customers) endpoint now allows to filter by external id.
  * List endpoints now provide a `hasMoreItems` flag in the response to indicate if more items are available beyond the end of the list. See [pagination](/guides/pagination) for more info.
  * Improved error handling for the [contract metrics](/api-reference/customers/get_contract_metrics) endpoint. Now returns an empty response if no data is available, and a HTTP/404 status code if an invalid customer number or contract number is used.
</Update>
